if not _G.tooltipItemInfoHooked then
	local function iteminfo(self, bag, slot)
		local itemLink = GetContainerItemLink(bag, slot)
		if itemLink then
			local _, _, _, ilvl, reqLevel, class, subclass, maxStack, equipSlot = GetItemInfo(itemLink)
			self:AddLine("")
			self:AddLine("Req Level: " .. reqLevel)
			self:AddLine("Item Level: " .. ilvl)
			self:AddLine("Class: " .. class)
			self:AddLine("Subclass: " .. subclass)
			self:AddLine("Max Stack: " .. maxStack)
			self:AddLine("Equip Slot: " .. equipSlot)
		end
		self:Show()
	end

	-- hooksecurefunc(GameTooltip, "SetInventoryItem", iteminfo)
	hooksecurefunc(GameTooltip, "SetBagItem", iteminfo)

	_G.tooltipItemInfoHooked = true
end
